function CheckCollision(x1,y1,w1,h1, x2,y2,w2,h2)
  return x1 < x2+w2 and
         x2 < x1+w1 and
         y1 < y2+h2 and
         y2 < y1+h1
end
function newCollisionBox(x, y, id, skin) -- suuposed to create a collision object.

blocs[id] = {}
blocs[id].x = x
blocs[id].y = y
blocs[id].sprite = love.graphics.newImage('assets/tiles/'..skin..'.png')

end

function collision()
	for i=#blocs, 1, -1 do

	if CheckCollision(blocs[i].x, blocs[i].y, 32, 32, player.x+5, player.y+10, 1, 50) then
		left = 1
	else
	    left = 0
	end

	if CheckCollision(blocs[i].x, blocs[i].y, 32, 32, player.x+35, player.y+10, 1, 50) then
		right = 1
	else
	    right = 0
	end

	if CheckCollision(blocs[i].x, blocs[i].y, 32, 32,  player.x+5, player.y+10, 30, 1) then
		up = 1
	else
	    up = 0
	end

	if CheckCollision(blocs[i].x, blocs[i].y, 32, 32,  player.x+5, player.y+62, 30, 1) then
		down = 1
	else
	    down = 0
	end
	

	end
end
function drawhitbox()
	
    love.graphics.rectangle("fill", player.x+5, player.y+10, 1, 50) --create a hitbox rectangle around player
    love.graphics.rectangle("fill", player.x+35, player.y+10, 1, 50)
    love.graphics.rectangle("fill", player.x+5, player.y+10, 30, 1)
    love.graphics.rectangle("fill", player.x+5, player.y+62, 30, 1)
end
function drawblocs()
	-- body
	for i=#blocs, 1, -1 do
		 love.graphics.draw(blocs[i].sprite, blocs[i].x, blocs[i].y) -- supposed to draw a white rectangle 
	end
end